- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Classes | Signals | Public Member Functions | Protected Member Functions | Friends

# QAbstractTextDocumentLayout Class Reference

Search for all occurrences

## Detailed Description

Definition at line 62 of file qabstracttextdocumentlayout.h.

`#include <qabstracttextdocumentlayout.h>`

Inheritance diagram for QAbstractTextDocumentLayout:
[legend]

List of all members.

## Classes
struct | PaintContext
struct | Selection
## Signals
void | update (const QRectF &=QRectF(0., 0., 1000000000., 1000000000.))
void | updateBlock (const QTextBlock &block)
void | documentSizeChanged (const QSizeF &newSize)
void | pageCountChanged (int newPages)
## Public Member Functions
| QAbstractTextDocumentLayout (QTextDocument *doc)
| ~QAbstractTextDocumentLayout ()
virtual void | draw (QPainter *painter, const PaintContext &context)=0
virtual int | hitTest (const QPointF &point, Qt::HitTestAccuracy accuracy) const =0
QString | anchorAt (const QPointF &pos) const
virtual int | pageCount () const =0
virtual QSizeF | documentSize () const =0
virtual QRectF | frameBoundingRect (QTextFrame *frame) const =0
virtual QRectF | blockBoundingRect (const QTextBlock &block) const =0
void | setPaintDevice (QPaintDevice *device)
QPaintDevice * | paintDevice () const
QTextDocument * | document () const
void | registerHandler (int objectType, QObject *component)
QTextObjectInterface * | handlerForObject (int objectType) const
## Protected Member Functions
| QAbstractTextDocumentLayout (QAbstractTextDocumentLayoutPrivate &, QTextDocument *)
virtual void | documentChanged (int from, int charsRemoved, int charsAdded)=0
virtual void | resizeInlineObject (QTextInlineObject item, int posInDocument, const QTextFormat &format)
virtual void | positionInlineObject (QTextInlineObject item, int posInDocument, const QTextFormat &format)
virtual void | drawInlineObject (QPainter *painter, const QRectF &rect, QTextInlineObject object, int posInDocument, const QTextFormat &format)
int | formatIndex (int pos)
QTextCharFormat | format (int pos)
## Friends
class | QTextControl
class | QTextDocument
class | QTextDocumentPrivate
class | QTextEngine
class | QTextLayout
class | QTextLine

## Constructor & Destructor Documentation

QAbstractTextDocumentLayout | ( | QTextDocument * | doc | ) | `[explicit]`

~QAbstractTextDocumentLayout | ( |  | ) |

QAbstractTextDocumentLayout | ( | QAbstractTextDocumentLayoutPrivate & | ,
|  | QTextDocument * |
| ) |  | `[protected]`

## Member Function Documentation

virtual void draw | ( | QPainter * | painter,
|  | const PaintContext & | context
| ) |  | `[pure virtual]`

Search for all occurrences

Implemented in QPlainTextDocumentLayout.

virtual int hitTest | ( | const QPointF & | point,
|  | Qt::HitTestAccuracy | accuracy
| ) |  | const `[pure virtual]`

Search for all occurrences

Implemented in QPlainTextDocumentLayout.

QString anchorAt | ( | const QPointF & | pos | ) | const

Search for all occurrences

virtual int pageCount | ( |  | ) | const `[pure virtual]`

Search for all occurrences

Implemented in QPlainTextDocumentLayout.

virtual QSizeF documentSize | ( |  | ) | const `[pure virtual]`

Search for all occurrences

Implemented in QPlainTextDocumentLayout.

virtual QRectF frameBoundingRect | ( | QTextFrame * | frame | ) | const `[pure virtual]`

Search for all occurrences

Implemented in QPlainTextDocumentLayout.

virtual QRectF blockBoundingRect | ( | const QTextBlock & | block | ) | const `[pure virtual]`

Search for all occurrences

Implemented in QPlainTextDocumentLayout.

void setPaintDevice | ( | QPaintDevice * | device | ) |

Search for all occurrences

QPaintDevice* paintDevice | ( |  | ) | const

Search for all occurrences

QTextDocument* document | ( |  | ) | const

Search for all occurrences

void registerHandler | ( | int | objectType,
|  | QObject * | component
| ) |  |

Search for all occurrences

QTextObjectInterface* handlerForObject | ( | int | objectType | ) | const

Search for all occurrences

void update | ( | const QRectF & | = `QRectF(0., 0., 1000000000., 1000000000.)` | ) | `[signal]`

Search for all occurrences

void updateBlock | ( | const QTextBlock & | block | ) | `[signal]`

Search for all occurrences

void documentSizeChanged | ( | const QSizeF & | newSize | ) | `[signal]`

Search for all occurrences

void pageCountChanged | ( | int | newPages | ) | `[signal]`

Search for all occurrences

virtual void documentChanged | ( | int | from,
|  | int | charsRemoved,
|  | int | charsAdded
| ) |  | `[protected, pure virtual]`

Search for all occurrences

Implemented in QPlainTextDocumentLayout.

virtual void resizeInlineObject | ( | QTextInlineObject | item,
|  | int | posInDocument,
|  | const QTextFormat & | format
| ) |  | `[protected, virtual]`

Search for all occurrences

virtual void positionInlineObject | ( | QTextInlineObject | item,
|  | int | posInDocument,
|  | const QTextFormat & | format
| ) |  | `[protected, virtual]`

Search for all occurrences

virtual void drawInlineObject | ( | QPainter * | painter,
|  | const QRectF & | rect,
|  | QTextInlineObject | object,
|  | int | posInDocument,
|  | const QTextFormat & | format
| ) |  | `[protected, virtual]`

Search for all occurrences

int formatIndex | ( | int | pos | ) | `[protected]`

Search for all occurrences

QTextCharFormat format | ( | int | pos | ) | `[protected]`

Search for all occurrences

## Friends And Related Function Documentation

friend class QTextControl `[friend]`

Search for all occurrences

Definition at line 125 of file qabstracttextdocumentlayout.h.

friend class QTextDocument `[friend]`

Search for all occurrences

Definition at line 126 of file qabstracttextdocumentlayout.h.

friend class QTextDocumentPrivate `[friend]`

Search for all occurrences

Definition at line 127 of file qabstracttextdocumentlayout.h.

friend class QTextEngine `[friend]`

Search for all occurrences

Definition at line 128 of file qabstracttextdocumentlayout.h.

friend class QTextLayout `[friend]`

Search for all occurrences

Definition at line 129 of file qabstracttextdocumentlayout.h.

friend class QTextLine `[friend]`

Search for all occurrences

Definition at line 130 of file qabstracttextdocumentlayout.h.

The documentation for this class was generated from the following file:

- QtGui/qabstracttextdocumentlayout.h

QAbstractTextDocumentLayout QAbstractTextDocumentLayout QAbstractTextDocumentLayout QAbstractTextDocumentLayout QAbstractTextDocumentLayout QAbstractTextDocumentLayout QAbstractTextDocumentLayout QAbstractTextDocumentLayout QAbstractTextDocumentLayout QAbstractTextDocumentLayout
QAbstractTextDocumentLayout QAbstractTextDocumentLayout QAbstractTextDocumentLayout QAbstractTextDocumentLayout QAbstractTextDocumentLayout QAbstractTextDocumentLayout QAbstractTextDocumentLayout QAbstractTextDocumentLayout QAbstractTextDocumentLayout QAbstractTextDocumentLayout